;;semantic-init		Call with M-: (load-file "semantic-init")

;;Requires an install of the Latest versions of Semantic, Eieio & Speedbar
;;available at <url: http://cedet.sf.net/ >
;;Provides code completion (CodeSense; IntelliSense) when you hit the hotkeys
;;below. This can slow Emacs, but byte-compiling these libraries helps.

;;Remove any old versions of speedbar, semantic & eieio from load-path

(setq semantic-load-turn-useful-things-on t)
(require 'semantic-load)

;;You might wish to set project directories:
;; (setq semanticdb-project-roots
;;       (list "/path/to/project/one"
;;             "/path/to/project/two"))
(semanticdb-save-all-db)

(require 'semantic-ia)		;Alternate is (semantic-speedbar-analysis)
;;(semantic-speedbar-analysis)		;Alternate is (require 'semantic-ia)

(global-set-key [(control .)] 'semantic-ia-complete-tip)
(global-set-key [(control >)] 'semantic-ia-complete-symbol)
(global-set-key [(control meta >)] 'semantic-ia-complete-symbol-menu)

(provide 'semantic-init)
