#!/bin/sh
#-*-Shell-Script-*-	Time-stamp: <2003-11-07 18:40:45 bingalls>
#Copyright  1998, 2004 by Bruce Ingalls bingalls@users.sourceforge.net
#See file COPYING for GPL license.
# $Id$
#<url: http://emacro.sourceforge.net/ >		<url: http://www.dotemacs.de/ >

#Script to build EMacro packages. For maintainers, not end users

#The *.list file used by EPM in the current directory
INSTALLER=emacro

if [ $# -ne 1 ]; then
    echo "`basename $0` [native|portable|rpm|...]"
    echo "Where EPM has been installed from http://www.easysw.com/"
    echo "You must choose one of the following arguments:"
    echo "native		create a package for this system"
    echo "portable	create a tar/shell script package for most systems"
    echo "rpm		create a Red Hat Linux package"
    echo ""

    if [ `which epm` ]; then
	echo "Here are all the possible package-type names:"
	epm --help|grep ^-f|sed 's/-f {//'|sed 's/}//'
    else
	echo "epm not found in PATH!!"
    fi
else
    if [ -f $INSTALLER.list ]; then
#Change your epm flags here, if you are adapting this script.
#Set architecture = none, where appropriate
	if [ $1 = "rpm" ]; then
	    epm -g -nm -a noarch -f $1 $INSTALLER
	else
	    if [ $1 = "deb" ]; then
		epm -g -nm -a all -f $1 $INSTALLER
	    else		#Other pkgs don't do architecture
		epm -g -f $1 $INSTALLER
	    fi
	fi
    else
	echo "$INSTALLER.list not found in the current directory"
    fi
fi
